Bug 610031 - qemu-kvm has a symbol lookup error in /usr/lib64/libspice-server.so.0
qemu-kvm has a symbol lookup error in /usr/lib64/libspice-server.so.0
Status: CLOSED DUPLICATE of bug 609431
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Uri Lublin
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 08:52 EDT by Michal Nowak
Modified: 2013-03-07 21:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 03:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2010-07-01 08:52:11 EDT
Description of problem:

I was not using virt for some time until now so I opened virt-manager as user foo, issued password and tried to add new VM (I have none atm), I could insert VM's name but I couldn't proceed so I looked into .virt-manager/virt-manager.log and here's what I've found there:


[Thu, 01 Jul 2010 14:45:44 virt-manager 17043] INFO (virt-manager:161) Application startup
[Thu, 01 Jul 2010 14:45:45 virt-manager 17044] DEBUG (engine:348) About to connect to uris ['qemu:///system']
[Thu, 01 Jul 2010 14:45:45 virt-manager 17044] DEBUG (engine:643) window counter incremented to 1
[Thu, 01 Jul 2010 14:45:45 virt-manager 17044] DEBUG (connection:857) Scheduling background open thread for qemu:///system
[Thu, 01 Jul 2010 14:45:45 virt-manager 17044] DEBUG (connection:1002) Background thread is running
[Thu, 01 Jul 2010 14:45:49 virt-manager 17044] DEBUG (connection:1040) Background open thread complete, scheduling notify
[Thu, 01 Jul 2010 14:45:49 virt-manager 17044] DEBUG (connection:1045) Notifying open result
[Thu, 01 Jul 2010 14:45:49 virt-manager 17044] DEBUG (connection:1053) qemu:///system capabilities:
<capabilities>

  <host>
    <uuid>44454c4c-4200-1039-8058-b1c04f5a324a</uuid>
    <cpu>
      <arch>x86_64</arch>
      <model>core2duo</model>
      <topology sockets='1' cores='2' threads='1'/>
      <feature name='lahf_lm'/>
      <feature name='dca'/>
      <feature name='xtpr'/>
      <feature name='cx16'/>
      <feature name='tm2'/>
      <feature name='vmx'/>
      <feature name='ds_cpl'/>
      <feature name='pbe'/>
      <feature name='tm'/>
      <feature name='ht'/>
      <feature name='ss'/>
      <feature name='acpi'/>
      <feature name='ds'/>
    </cpu>
    <migration_features>
      <live/>
      <uri_transports>
        <uri_transport>tcp</uri_transport>
      </uri_transports>
    </migration_features>
    <topology>
      <cells num='1'>
        <cell id='0'>
          <cpus num='2'>
            <cpu id='0'/>
            <cpu id='1'/>
          </cpus>
        </cell>
      </cells>
    </topology>
    <secmodel>
      <model>selinux</model>
      <doi>0</doi>
    </secmodel>
  </host>

  <guest>
    <os_type>hvm</os_type>
    <arch name='i686'>
      <wordsize>32</wordsize>
      <emulator>/usr/libexec/qemu-kvm</emulator>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/libexec/qemu-kvm</emulator>
      </domain>
    </arch>
    <features>
      <pae/>
      <nonpae/>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

  <guest>
    <os_type>hvm</os_type>
    <arch name='x86_64'>
      <wordsize>64</wordsize>
      <emulator>/usr/libexec/qemu-kvm</emulator>
      <domain type='qemu'>
      </domain>
      <domain type='kvm'>
        <emulator>/usr/libexec/qemu-kvm</emulator>
      </domain>
    </arch>
    <features>
      <acpi default='on' toggle='yes'/>
      <apic default='on' toggle='no'/>
    </features>
  </guest>

</capabilities>

[Thu, 01 Jul 2010 14:45:49 virt-manager 17044] ERROR (virt-manager:173) Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/util.py", line 340, in _safe_wrapper
    return func(*args)
  File "/usr/share/virt-manager/virtManager/connection.py", line 1055, in _open_notify
    self.tick()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1451, in tick
    oldNets, self.nets) = self._update_nets()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1090, in _update_nets
    virtinst.support.SUPPORT_CONN_NETWORK)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line 437, in check_conn_support
    return _check_support(conn, feature, conn)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line 324, in _check_support
    actual_drv_ver = _hv_ver(conn)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line 271, in _hv_ver
    ret = cmd(*args)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1777, in getVersion
    if ret == -1: raise libvirtError ('virConnectGetVersion() failed', conn=self)
libvirtError: internal error cannot parse /usr/libexec/qemu-kvm version number in ''
None
[Thu, 01 Jul 2010 14:45:53 virt-manager 17044] DEBUG (engine:647) window counter decremented to 0
[Thu, 01 Jul 2010 14:45:53 virt-manager 17044] DEBUG (engine:656) Exiting app normally.


This is from dmesg:

Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.176: warning : qemudProbeMachineTypes:579 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.189: warning : qemudProbeCPUModels:823 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.207: warning : qemudProbeMachineTypes:579 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.220: warning : qemudProbeCPUModels:823 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.241: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.241: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.254: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:49 dhcp-lab-222 libvirtd: 14:45:49.254: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:50 dhcp-lab-222 libvirtd: 14:45:50.088: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:50 dhcp-lab-222 libvirtd: 14:45:50.089: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:50 dhcp-lab-222 libvirtd: 14:45:50.101: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:50 dhcp-lab-222 libvirtd: 14:45:50.101: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:51 dhcp-lab-222 libvirtd: 14:45:51.089: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:51 dhcp-lab-222 libvirtd: 14:45:51.089: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:51 dhcp-lab-222 libvirtd: 14:45:51.101: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:51 dhcp-lab-222 libvirtd: 14:45:51.102: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:52 dhcp-lab-222 libvirtd: 14:45:52.090: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:52 dhcp-lab-222 libvirtd: 14:45:52.090: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:52 dhcp-lab-222 libvirtd: 14:45:52.102: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:52 dhcp-lab-222 libvirtd: 14:45:52.102: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:53 dhcp-lab-222 libvirtd: 14:45:53.091: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:53 dhcp-lab-222 libvirtd: 14:45:53.091: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed
Jul  1 14:45:53 dhcp-lab-222 libvirtd: 14:45:53.104: error : qemudParseHelpStr:1401 : internal error cannot parse /usr/libexec/qemu-kvm version number in ''
Jul  1 14:45:53 dhcp-lab-222 libvirtd: 14:45:53.104: warning : qemudExtractVersionInfo:1523 : Unexpected exit status '127', qemu probably failed


No idea what might be the problem, however seems I can't you virt now in any way.

Version-Release number of selected component (if applicable):

qemu-kvm-0.12.1.2-2.90.el6.x86_64
qemu-img-0.12.1.2-2.90.el6.x86_64
virt-manager-0.8.4-6.el6.noarch
libvirt-0.8.1-12.el6.x86_64
kernel-2.6.32-37.el6.x86_64

How reproducible:

always
Comment 1 Daniel Berrange 2010-07-01 09:00:57 EDT
Can you run '/usr/libexec/qemu-kvm -help' as root and attach the output
Comment 3 RHEL Product and Program Management 2010-07-01 09:23:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Michal Nowak 2010-07-01 09:28:11 EDT
spice-server-0.4.2-13.el6.x86_64

dhcp-lab-222 yum.repos.d # /usr/libexec/qemu-kvm -help
/usr/libexec/qemu-kvm: symbol lookup error: /usr/lib64/libspice-server.so.0: undefined symbol: gl_canvas_draw_stroke
Comment 5 Cole Robinson 2010-07-01 11:46:56 EDT
I just updated my RHEL6 box and saw the same issue. Pulling down latest spice -16 from brew fixed it.

Note You need to log in before you can comment on or make changes to this bug.